import {
  UserCertificationStatusConvertFrontStatusMap,
  UserCertificationAuditStatusConvertFrontStatusMap,
  UserCertificationStatus,
  UserCertificationAuditStatus,
  UserCertificationFrontStatus,
  UserCertificationModeEnumV2,
} from '@/constants';

export function getUserCertificationFrontStatusAdapter(
  userCertificationStatus: UserCertificationStatus,
  userCertificationAuditStatus: UserCertificationAuditStatus
): UserCertificationFrontStatus {
  if (
    Object.keys(UserCertificationAuditStatusConvertFrontStatusMap).includes(
      userCertificationAuditStatus + ''
    )
  ) {
    return UserCertificationAuditStatusConvertFrontStatusMap[userCertificationAuditStatus];
  } else {
    return UserCertificationStatusConvertFrontStatusMap[userCertificationStatus];
  }
}

export function hasCompanyBaseInfo(userDetail: API.UserInfoV2) {
  return userDetail?.customerName && userDetail?.contacter;
}

export function isCertifiedFn(detail: API.MyCertificationAuditDto) {
  return detail?.frontStatus === UserCertificationFrontStatus.Certified;
}

export function isCertificationByProxy(certificationMode: UserCertificationModeEnumV2) {
  return (
    certificationMode === UserCertificationModeEnumV2.ProxyPersonCertification ||
    certificationMode === UserCertificationModeEnumV2.ProxyPersonPhoneCertification ||
    certificationMode === UserCertificationModeEnumV2.ProxyPersonBankCardCertification ||
    certificationMode === UserCertificationModeEnumV2.ProxyPersonFaceCertification
  );
}
